> ## Documentation Index
> Fetch the complete documentation index at: https://docs-grosh.muathye.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the authenticated user



## OpenAPI

````yaml https://grosh.muathye.com/api/openapi.json get /auth/me
openapi: 3.1.0
info:
  title: Grosh API
  version: 1.0.0
  description: >-
    Contacts, Obligations, Budgeting, and Authentication API for the
    application.
servers:
  - url: https://grosh.muathye.com/api
security:
  - bearerAuth: []
  - cookieAuth: []
paths:
  /auth/me:
    get:
      summary: Get the authenticated user
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthUser'
components:
  schemas:
    AuthUser:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        email:
          type: string
          format: email
        base_currency_id:
          type:
            - string
            - 'null'
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    cookieAuth:
      type: apiKey
      in: cookie
      name: grosh-session

````